// TestNetBios.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "windows.h"
#include "nb30.h"
#include "iostream.h"
#include "mbstring.h"

#pragma comment(lib,"Netapi32.lib")


typedef struct _ASTAT_
{    
    ADAPTER_STATUS adapt;
    NAME_BUFFER    NameBuff [30];
}Adapter;

void main()
{
NCB	ncb;
UCHAR uRetCode; 
LANA_ENUM la;
memset( &ncb,0,sizeof(ncb)); 
ncb.ncb_command = NCBENUM;
ncb.ncb_buffer=(unsigned char *) &la;
ncb.ncb_length = sizeof(LANA_ENUM );
uRetCode = Netbios((NCB*) &ncb );
if ( uRetCode == NRC_GOODRET )  
{
	cout << "Ok" << endl;
	for (int x=0;x<la.length;x++)
	{
		cout << "Adapter " << x << " - INFO - " <<  endl;
		memset( &ncb, 0, sizeof(ncb) ); 
		//    
		ncb.ncb_command = NCBASTAT;
		ncb.ncb_lana_num = la.lana[x];		//   
		_mbscpy( ncb.ncb_callname,(UCHAR*)"*               ");
		Adapter a1;
		ncb.ncb_buffer = (unsigned char *) &a1; 
		ncb.ncb_length = sizeof(a1);
		uRetCode = Netbios((NCB*) &ncb );
		if ( uRetCode == NRC_GOODRET )   
		{
			 printf( "The Ethernet Number is: %02x%02x%02x%02x%02x%02x\n",
                a1.adapt.adapter_address[0],
                a1.adapt.adapter_address[1],
                a1.adapt.adapter_address[2],
                a1.adapt.adapter_address[3],
                a1.adapt.adapter_address[4],
                a1.adapt.adapter_address[5] ); 
		} 
		else cout << "error read" << endl;
		//    
			
	}
	

}
else cout << uRetCode;

}

